Package org.eclipse.gef.mvc.fx.providers

# Class ResizableTransformableBoundsProvider

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
org.eclipse.gef.mvc.fx.providers.ResizableTransformableBoundsProvider

All Implemented Interfaces:
  `Provider<IGeometry>`, `jakarta.inject.Provider<IGeometry>`, `IAdaptable.Bound<IVisualPart<? extends Node>>`

Direct Known Subclasses:
  `ResizableTransformableOutlineProvider`

public class ResizableTransformableBoundsProvider extends IAdaptable.Bound.Impl<IVisualPart<? extends Node>> implements Provider<IGeometry>
The `ResizableTransformableBoundsProvider` returns bounds according to the size and transformation as returned by the part API, i.e. `IResizableContentPart` and `ITransformableContentPart`.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`ResizableTransformableBoundsProvider()`

## Method Summary

Modifier and Type
Method
Description
`IGeometry`
`get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResizableTransformableBoundsProvider

public ResizableTransformableBoundsProvider()

## Method Details

### get

public IGeometry get()

Specified by:
  `get` in interface `Provider<IGeometry>`
Specified by:
  `get` in interface `jakarta.inject.Provider<IGeometry>`